Subject: [sipcore] INFO Tables

From: Eric Burger <[email-masked]>
Date: Mon, 27 Apr 2009 07:32:05 -0400

Please, please, please go over this table and make sure it is  
correct.  If I hear nothing now, yet people say stuff during WGLC or  
later, we will not be happy.

    Table 1: Summary of Header Fields
      Header                    Where    INFO
      ------                    -----    ----
      Accept                      R       o
      Accept-Encoding             R       o
      Accept-Encoding            2xx      o
      Accept-Encoding            415      c
      Accept-Language             R       o
      Accept-Language            2xx      o
      Accept-Language            415      c
      Allow                       R       o
      Allow                      200      -
      Allow                      405      o
      Allow-Events                R       o
      Allow-Events                r       o
      Authentication-Info        2xx      o
      Authorization               R       o
      Call-ID                    gc       m
      Call-Info                   R       o
      Call-Info                   r       o
      Contact                     R       -
      Contact                    1xx      -
      Contact                    2xx      -
      Contact                    3xx      -
      Contact                    485      -
      Content-Disposition         e       o
      Content-Encoding            e       o
      Content-Language            e       o
      Content-Length              e       o
      Content-Type                e       *
      CSeq                       gc       m
      Date                        g       o
      Error-Info               3xx-6xx    o
      Expires                     g       -
      From                       gc       m
      Geolocation                 R       o
      Max-Breadth                 R       -
      Max-Forwards                R       o
      MIME-Version                R       o
      MIME-Version                r       o
      Organization                g       o
      Privacy                     R       o
      Proxy-Authenticate         407      o
      Proxy-Authorization         R       o
      Proxy-Require               R       o
      Reason                      R       o
      Record-Route                R       o
      Record-Route               2xx      o
      Require                     R       o
      Require                     r       o
      Retry-After                 R       -
      Retry-After            404,480,486  o
      Retry-After                503      o
      Retry-After              600,603    o
      Route                       R       o
      Security-Client             R       o
      Security-Server          421,494    o
      Security-Verify             R       o
      Server                      r       o
      Subject                     R       o
      Supported                   R       o
      Supported                  2xx      o
      Timestamp                   g       o
      To                        gc(1)     m
      Unsupported                420      o
      User-Agent                  g       o
      Via                       gc(2)     m
      Warning                     r       o
      WWW-Authenticate           401      o

5.2.  INFO Headers

    This table expands on tables 2 and 3 in [RFC3261].

    Header field where   ACK BYE CAN INV OPT REG PRA INF MSG UPD SUB NOT
    --------------------------------------------------------------------
    Info-Package   R      -   -   -   -   -   -   -   m   -   -   -   -
    Recv-Info      R      o   -   -   o   o   o   o   -   -   o   -   -
    Recv-Info      2xx    o   -   -   o   o   -   o   -   -   o   -   -
    Recv-Info      1xx    o   -   -   o   o   -   o   -   -   o   -   -
    Recv-Info      r      o   -   -   -   o   -   o   -   -   o   -   -

---

From: Brett Tate <[email-masked]>
Date: Mon, 27 Apr 2009 06:59:52 -0700

Hi Eric,

My prior comments concerning Table 1 appearing to be based upon RFC 2543 instead of RFC 3261 appears to still apply.  The usage of "g" seems potentially outdated since discussed within RFC 2543 instead of RFC 3261; the same applies to Via row usage concerning "(2)".  Unsure if my "incorrectly referenced" comment still applies since I can't tell if you plan to remove or adjust "This table expands on tables 2 and 3 in [RFC3261]" which preceded Table 1.

http://www.ietf.org/mail-archive/web/sip/current/msg26820.html

Section 5.2 table: Missing table number in case you want to add one for reference.

Section 5.2 table: Since it appears to be the only request missing, I prefer REFER be shown unless the working group wants to pretend it doesn't exist.

Section 5.2 table: The last 3 rows of ACK should be "-" instead of "o".

Section 5.2 table: Because of RFC 4320 and lack of use within 100, the 1xx row should likely indicate optional for INVITE and dash for others.

Section 5.2 table: Assuming that there is a reason for the last row, why is INVITE less flexible than the other shown requests?

Section 5.2 table: Concerning INFO 469, should it be include within the table?  If so, is Recv-Info mandatory?

As previously mentioned, there are numerous locations where I prefer new/updated Recv-Info not be used because of race condition ambiguities; these include ACK, PRACK, and PRACK 2xx.  However if the working group doesn't think such race conditions are a problem, leaving it is ok with me.

Thanks,
Brett

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Eric Burger
> Sent: Monday, April 27, 2009 7:32 AM
> To: SIPCORE
> Subject: [sipcore] INFO Tables
>

---

From: "Christer Holmberg" <[email-masked]>
Date: Tue, 28 Apr 2009 20:16:51 +0200

Hi,

Q1:

The table in 5.2 mandates Info-Package in INFO.

But, since we still allow for legacy usage of INFO, without the header,
I think we need to indiate that somehow.

Q2:

Do we allow 1xx responses for non-INV requests, or do I missunderstand
the able? At least for ACK there are no responses at all.

Regards,

Christer

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Eric Burger
Sent: Monday, April 27, 2009 2:32 PM
To: SIPCORE
Subject: [sipcore] INFO Tables

Please, please, please go over this table and make sure it is correct.
If I hear nothing now, yet people say stuff during WGLC or later, we
will not be happy.

5.2.  INFO Headers